package com.ibm.websphere.query.base;

import java.util.ArrayList;
import java.util.List;

public class From implements IFrom
{
  private List joins = new ArrayList();
  private ITable table;

  public From(ITable table)
  {
    this.table = table;
  }

  /**
   * @see com.ibm.websphere.query.base.IFrom#getJoins()
   */
  public IJoin[] getJoins()
  {
    return (IJoin[])joins.toArray(new IJoin[joins.size()]);
  }

  /**
   * @see com.ibm.websphere.query.base.IFrom#getTable()
   */
  public ITable getTable()
  {
    return table;
  }

  /**
   * @see com.ibm.websphere.query.base.IFrom#setJoins(IJoin[])
   */
  public void setJoins(IJoin[] joins)
  {
    this.joins.clear();
    for (int i = 0; i < joins.length; i++)
    {
      this.joins.add(joins[i]);
    }    
  }
  
  /**
   * @see com.ibm.websphere.query.base.IFrom#setJoins(List)
   */
  public void setJoins(List joins)
  {
    this.joins = joins;
  }

  /**
   * @see com.ibm.websphere.query.base.IFrom#setTable(com.ibm.websphere.query.base.ITable)
   */
  public void setTable(ITable table)
  {
    this.table = table;
  }

  /**
   * @see com.ibm.websphere.query.base.IStringBuilder#buildString(com.ibm.websphere.query.base.ISelectQueryCallback2, java.lang.StringBuffer)
   */
  public String buildString(ISelectQueryCallback builder) throws QueryException
  {
    return "";
  }
  public void buildString(ISelectQueryCallback builder, StringBuffer sb) throws QueryException
  {
    builder.buildFrom(this, sb);
  }

  /**
   * @see com.ibm.websphere.query.base.IFrom#addJoin(com.ibm.websphere.query.base.IJoin)
   */
  public void addJoin(IJoin join)
  {
    joins.add(join);
  }
}
