/*********************************************************************
 * Licensed Materials - PropertyImpl of IBM                              *
 *                                                                   *
 * 5724-B88                                                          *
 *                                                                   *
 *  Copyright IBM Corp.  2001, 2002    All Rights Reserved.         *
 *                                                                   *
 * US Government Users Restricted Rights - Use, duplication or       *
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp. *
 *********************************************************************/

package com.ibm.websphere.query.base;
/**
	<P>The IArithmeticCondition interface is an object that represents an arithmetic operation in a query. 
	
	<P>It extends the ILeftOperand, IRightOperand, IOrderByElement, IFunctionElement, and 
	IStringBuilder interfaces. 
	
	<P>Instances of classes that implement this interface are used to represent arithmetic conditions that
	contain an arithmetic operation and elements in which to perfom the operation.
 */
public interface IArithmeticCondition extends ILeftOperand, IRightOperand, IFunctionElement, IStringBuilder
{
  /**
   * Returns the Elements of the Arithmetic Condition
   */
  ILeftOperand[] getArithmeticConditionElements();

  /**
   * Returns the Arithmetic Operation(+,-,*,/)
   */
  String getArithmeticOperation();

}
