/*********************************************************************
 * Licensed Materials - PropertyImpl of IBM                              *
 *                                                                   *
 * 5724-B88                                                          *
 *                                                                   *
 *  Copyright IBM Corp.  2001, 2002    All Rights Reserved.         *
 *                                                                   *
 * US Government Users Restricted Rights - Use, duplication or       *
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp. *
 *********************************************************************/

package com.ibm.websphere.query.base;

import java.io.Serializable;

/**
	<P>The IStringBuilder interface provides for a query string generation mechanism that delegetes
	operations to domain specific builder callbacks. 
	
	<P>A class implements this interface to indicate that the instances of that class can produce 
	a query string by means of interfacing with a builder callback.

	<P>All query element classes implement IStringBuilder interface so that the real query
	building operations can be delegated to the builder callbacks, which are developed
	by domain specific developers.
 */
public interface IStringBuilder extends Serializable
{
  /**
  	Builds a query string using the given builder callback.
  */
  String buildString(ISelectQueryCallback builder) throws QueryException;
  void buildString(ISelectQueryCallback builder, StringBuffer sb) throws QueryException;
}
