/*********************************************************************
 * Licensed Materials - PropertyImpl of IBM                              *
 *                                                                   *
 * 5724-B88                                                          *
 *                                                                   *
 *  Copyright IBM Corp.  2001, 2002    All Rights Reserved.         *
 *                                                                   *
 * US Government Users Restricted Rights - Use, duplication or       *
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp. *
 *********************************************************************/

package com.ibm.websphere.query.base;

import java.io.Serializable;

/**
	<P>The QueryException class represents an exception in the query framework. It should be thrown
	if there is any problem in the framework code.
 */
public class QueryException extends Exception implements Serializable
{

  public static final int UNKNOWN_ERROR = 0;

  public static final int OPERATOR_NOT_SUPPORTED = 1;
  public static final int FUNCTION_NOT_SUPPORTED = 2;
  public static final int DATATYPE_NOT_SUPPORTED = 3;
  public static final int QUERYTYPE_NOT_SUPPORTED = 4;
  public static final int MULTI_VALUE_ERROR = 5;

  protected int exceptionId = UNKNOWN_ERROR;
  /**
  	Creates a new QueryException instance, default constructor.
   */
  public QueryException()
  {
    super();
  }
  /**
  	Creates a new QueryException instance with the given exception description.
   */
  public QueryException(String s)
  {
    super(s);
  }
  /**
  	Creates a new QueryException instance with the given exception description and exception ID.
   */
  public QueryException(String s, int newExceptionId)
  {
    super(s);
    exceptionId = newExceptionId;
  }
  /**
  	Returns the exception ID.
   */
  public int getExceptionId()
  {
    return exceptionId;
  }
  /**
  	Returns the exception ID for the exception.
   */
  public void setExceptionId(int newExceptionId)
  {
    exceptionId = newExceptionId;
  }
}
