package com.ibm.websphere.query.callbacks;

import java.util.Hashtable;
import java.util.Map;

import com.ibm.websphere.query.base.ILimit;
import com.ibm.websphere.query.base.ISelectQuery;
import com.ibm.websphere.query.base.QueryException;

/**
 * Licensed Materials - PropertyImpl of IBM. (C) COPYRIGHT International Business Machines Corp. 2002.
 */

/**
 * <P>The DB2SqlSelectQueryCallback class is a query builder callback that
 * adds limit functionality to DB2 queries. 
 */
public class DB2SqlSelectQueryCallback extends SqlSelectQueryCallback
{

  public static final String SQL_QUERY_LIMITHEAD = "FETCH FIRST ";
  public static final String SQL_QUERY_LIMITTAIL = " ROWS ONLY";

  /**
   * Constructor for DB2SqlSelectQueryCallback.
   * @param nameMapping
   * @param typeMapping
   */
  public DB2SqlSelectQueryCallback()
  {
    super();
  }

  public DB2SqlSelectQueryCallback(Hashtable nameMapping)
  {
    super(nameMapping);
  }

  public DB2SqlSelectQueryCallback(Map nameMapping, Map typeMapping)
  {
    super(nameMapping, typeMapping);
  }

  /**
   * @see ISelectQueryCallback#buildLimit(ISelectQuery)
   */
  public void buildLimit(ISelectQuery selectQuery, StringBuffer sb, Map metadata) throws QueryException
  {    
    ILimit limit = selectQuery.getLimit();
    if (limit != null)
    {
      sb.append(SQL_QUERY_LIMITHEAD);
      limit.buildString(this, sb);
      sb.append(SQL_QUERY_LIMITTAIL);
    }    
  }

}
