/*
 * Created on Aug 4, 2004
 */
package com.ibm.websphere.query.callbacks;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
//import java.util.Calendar;
import java.util.Date;
import java.util.regex.Pattern;

public class XPathDateFormatter {

	//private static final DateFormat SIMPLE_DATE_FORMAT_WITHOUT_OFFSET = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss.SSS");
	private static final DateFormat SIMPLE_DATE_FORMAT = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss.SSSZ");
	
	//private static final Calendar SERVER_CALENDAR = Calendar.getInstance();
	//private static String SERVER_OFFSET = null;
	//static {
	//	DateFormat offsetFormat = new SimpleDateFormat("Z");
	//	String formattedString = offsetFormat.format(new Date());
	//	int breakpoint = formattedString.length()-2;
	//	SERVER_OFFSET = formattedString.substring(0,breakpoint) + ":" + formattedString.substring(breakpoint);
	//}
	private static final String SERVER_OFFSET = new SimpleDateFormat("Z").format(new Date());

	private static final Pattern DATE_PATTERN = Pattern.compile("\\d\\d\\d\\d-\\d\\d-\\d\\d");
	public static final String EMPTY_DATE = "9999-12-31T23:59:59.000-00:00";

	private static final XPathDateFormatter defaultInstance = new XPathDateFormatter();

	private XPathDateFormatter() {
		super();
	}
	
	public static XPathDateFormatter getInstance() {
		return defaultInstance;
	}

	public String format(Date date) {
		//String formattedString = SIMPLE_DATE_FORMATTER_WITHOUT_OFFSET.format(date);
		//return formattedString + SERVER_OFFSET;
		return SIMPLE_DATE_FORMAT.format(date);
	}
	
	public String formatFromDate(String date) {
		if (date == null || date.trim().length() == 0)
			return EMPTY_DATE;
		//if (DATE_PATTERN.matcher(date).matches())
			return date + "T00:00:00.000" + SERVER_OFFSET;
		//return date;
	}
	
	public String formatFromDateToEndOfDay(String date) {
		if (date == null || date.trim().length() == 0)
			return EMPTY_DATE;
		//if (DATE_PATTERN.matcher(date).matches())
			return date + "T23:59:59.999" + SERVER_OFFSET;
		//return date;
	}
	
	public boolean isDate(String date) {
		return DATE_PATTERN.matcher(date).matches();
	}
	
	
}
