/*
 * ItemNotFoundException.java
 *
 * This file is part of the specification for the
 * Java Content Repository API
 */
package javax.jcr;

/**
 * Exception thrown by methods of <code>{@link Item}</code>, <code>{@link Node}</code>
 * and <code>{@link Workspace}</code> when an item is not found.
 *
 * @author Peeter Piegaze
 * @author Stefan Guggisberg
 */
public class ItemNotFoundException extends RepositoryException {

    /**
     * Class constructor that creates a <code>ItemNotFoundException</code>
     */
    public ItemNotFoundException() {
        super();
    }

    /**
     * Class constructor that creates a <code>ItemNotFoundException</code> given
     * a message describing the failure cause
     * @param s description
     */
    public ItemNotFoundException(String s) {
        super(s);
    }

    /**
     * Class constructor that creates a <code>ItemNotFoundException</code> given
     * a message describing the failure and a root exception
     * @param s description
     * @param e root failure cause
     */
    public ItemNotFoundException(String s, Exception e) {
        super(s, e);
    }
}
