package javax.jcr;

public interface NamespaceRegistry
{
  /**
   * Returns the uri for a given prefix
   * @param prefix the prefix to get the uri for
   * @return the uri for a given prefix
   */
  public String getURIMapping(String prefix);
  
  /**   
   * Sets a mapping from prefix to URI. To remove an existing mapping, 
   * set its prefix to null. An attempt to change the URI to which a built-in 
   * prefix (jcr, nt, pt, sv) is mapped will throw a RepositoryException.   
   * @param prefix the prefix to set the uri for
   * @param uri the uri to set for the given prefix
   * @throws RepositoryException
   */
  public void setURIMapping(String prefix, String uri) throws RepositoryException;
  
  /**
   * Returns an array holding all currently registered prefixes.
   * @return an array holding all currently registered prefixes.
   */
  public String[] getAllRegisteredPrefixes();

}
