/*
 * AccessDeniedException.java
 *
 * This file is part of the specification for the
 * Java Content Repository API
 */
package javax.jcr.access;

import javax.jcr.RepositoryException;

/**
 * Exception thrown by access-related methods.
 * <p>
 * <b>Level 2 only</b>
 *
 * @author Peeter Piegaze
 */
public class AccessDeniedException extends RepositoryException {
    /**
     * Class constructor that creates a <code>AccessDeniedException</code>
     */
    public AccessDeniedException() {
	super();
    }

    /**
     * Class constructor that creates a <code>AccessDeniedException</code> given
     * a message describing the failure cause
     * @param s description
     */
    public AccessDeniedException(String s) {
	super(s);
    }

    /**
     * Class constructor that creates a <code>AccessDeniedException</code> given
     * a message describing the failure and a root exception
     * @param s description
     * @param e root failure cause
     */
    public AccessDeniedException(String s, Exception e) {
	super(s, e);
    }
}
